function(                                                        # EXPLORE PARAMETER SPACE
  df=factor("(ia parameters)",levels=dataframes(eN))[[1]],                   # Data       # parameter table
  parameter=factor(NULL,levels=df["parameter"])[[1]],         # Data       # parameter to vary  
  from=.0,                                                    # Data       # lower limit on parameter range
  to=.0,                                                      # Data       # upper limit on parameter range
  by=.0                                                       # Data       # interval (step size)
) {
  tryCatch(
    {  
      vals=seq(from,to,by)
      param.grid=data.frame(parameter=rep(parameter,length(vals)),value=vals)
      param.grid$parameter<-as.character(param.grid$parameter)
      param.grid
    }, warning = function(w) { print(w); #return(data.frame(warning=as.character(w$message)))
      
    }, error = function(e) { print(e); err<-data.frame(error=as.character(e$message));err$error=as.character(err$error); return(err)
    
    }, finally = { 
      
    }
  )  
  
}  
